Bug 1004873 - [abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: signal_handler: Process /usr/libexec/nm-dispatcher.action was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: signal_handler: Process /us...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:4fc0312aa76e33dea9c1c5ef883...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 12:00 EDT by Andrey V. Henneberg
Modified: 2015-02-17 12:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.70 KB, text/plain)
2013-09-05 12:00 EDT, Andrey V. Henneberg
no flags Details
File: cgroup (196 bytes, text/plain)
2013-09-05 12:00 EDT, Andrey V. Henneberg
no flags Details
File: core_backtrace (3.87 KB, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: dso_list (2.06 KB, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: environ (117 bytes, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: maps (6.43 KB, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: open_fds (268 bytes, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: proc_pid_status (760 bytes, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details
File: var_log_messages (1.49 KB, text/plain)
2013-09-05 12:01 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2013-09-05 12:00:35 EDT
Version-Release number of selected component:
NetworkManager-0.9.8.2-8.git20130709.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/nm-dispatcher.action
crash_function: signal_handler
executable:     /usr/libexec/nm-dispatcher.action
kernel:         3.10.9-200.fc19.i686.PAE
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #5 signal_handler at nm-dispatcher-action.c:601
 #7 __kernel_vsyscall
 #8 send at ../sysdeps/unix/sysv/linux/i386/socket.S:60
 #9 __vsyslog_chk at ../misc/syslog.c:279
 #10 __syslog_chk at ../misc/syslog.c:129
 #11 syslog at /usr/include/bits/syslog.h:31
 #12 log_handler at nm-dispatcher-action.c:577
 #15 dbus_init at nm-dispatcher-action.c:525
Comment 1 Andrey V. Henneberg 2013-09-05 12:00:51 EDT
Created attachment 794328 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2013-09-05 12:00:56 EDT
Created attachment 794329 [details]
File: cgroup
Comment 3 Andrey V. Henneberg 2013-09-05 12:01:00 EDT
Created attachment 794331 [details]
File: core_backtrace
Comment 4 Andrey V. Henneberg 2013-09-05 12:01:03 EDT
Created attachment 794333 [details]
File: dso_list
Comment 5 Andrey V. Henneberg 2013-09-05 12:01:07 EDT
Created attachment 794335 [details]
File: environ
Comment 6 Andrey V. Henneberg 2013-09-05 12:01:10 EDT
Created attachment 794336 [details]
File: limits
Comment 7 Andrey V. Henneberg 2013-09-05 12:01:14 EDT
Created attachment 794338 [details]
File: maps
Comment 8 Andrey V. Henneberg 2013-09-05 12:01:17 EDT
Created attachment 794340 [details]
File: open_fds
Comment 9 Andrey V. Henneberg 2013-09-05 12:01:22 EDT
Created attachment 794342 [details]
File: proc_pid_status
Comment 10 Andrey V. Henneberg 2013-09-05 12:01:33 EDT
Created attachment 794345 [details]
File: var_log_messages
Comment 11 Jirka Klimes 2013-09-10 08:49:11 EDT
nm-dispatcher.action was terminated (with SIGTERM) probably by systemd.
The dispatcher calls
   g_message ("Caught signal %d, shutting down...", signo);
in its signal handler. And later there is an assertion in Glib g_messages.c
in g_logv() function:
    if (!(test_level & G_LOG_FLAG_RECURSION))
        G_BREAKPOINT ();
    else
-->     abort ();

I'd say either it is not safe to call g_message() from a signal handler, or there is a bug in glib.
However, no actual problem, because the dispatcher was terminated anyway.
Comment 12 Fedora End Of Life 2015-01-09 14:44:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:04:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.